Bug Hunting Session
Bug 60270 (mab4.1) - LibreOffice 4.1 most annoying bugs
Summary: LibreOffice 4.1 most annoying bugs
Status: CLOSED FIXED
Alias: mab4.1
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.1.0.0.alpha0+ Master
Hardware: All All
: highest critical
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on: 33114 38619 40788 47355 50279 51819 56048 57079 57906 58317 58978 59812 60627 60945 61187 61332 61459 61544 61651 61652 61940 62088 62155 62461 62478 62653 62937 62971 63426 63547 63616 63680 63840 64447 64584 64586 64685 64707 64751 64925 64957 64984 65022 65050 65132 65168 65241 65305 65338 65450 65501 65569 65653 65686 65931 65971 65975 66009 66094 66205 66420 66478 66508 66524 66577 66655 66695 66703 66718 66864 66924 66988 67011 67045 67061 67086 67093 67094 67099 67104 67206 67221 67246 67297 67300 67313 67361 67370 67489 67571 67572 67665 67685 67707 67743 67799 67815 67885 68074 68148 68192 68220 68431 68756 68771 68876 68927 69244 69440 69450 69518 69548 69975 70198 70275 70499 70750 70805 70815 70842 71075 71423 71478 71667 71749 71961 72278 72284 72645 72741 73095 73168 73616 73936 74493 74527 75648
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-04 11:15 UTC by Petr Mladek
Modified: 2017-03-02 06:18 UTC (History)
38 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Mladek 2013-02-04 11:15:40 UTC
This is the meta issue to track the most annoying bugs in LibreOffice 4.1.x releases. It helps developers to concentrate on bugs that are most critical for users. Also it helps users to be aware of potential problems.

If anyone wants to raise a bug as “most annoying” for the release, please add the ID of that bug to the field “Depends on”, and don’t forget to leave a comment here that explains in a few words why that bug should be privileged.

For details, criteria and further instructions, please see
  http://wiki.documentfoundation.org/Most_Annoying_Bugs
Comment 1 Joel Madero 2013-02-04 16:48:07 UTC
I am marking this as NEW to get it out of our UNCONFIRMED list :-D Presumably, any bug here will be indeed....confirmed and NEW
Comment 2 Rainer Bielefeld Retired 2013-02-11 06:44:16 UTC
Add "Bug 60627 - EDITING: CRASH when 'Format - Bullets and Numbering'"
Comment 3 Panos Stokas 2013-02-12 09:20:36 UTC
Bug 38635 - Causes thin gaps to appear in borders, borders look as if they are stitched together and jaggies appear on non-rectangular borders in print. Bug doesn't appear in OpenOffice which would make some users print the documents from OpenOffice to avoid this.
Comment 4 Rainer Bielefeld Retired 2013-02-20 21:42:42 UTC
I add "Bug 61187 - CRASH when click 'Add' in EXTENSIONS Manager"
Comment 5 Rainer Bielefeld Retired 2013-02-23 08:46:11 UTC
I add "Bug 61332 - FILEOPEN other document via document-hyperlink in LibO3.6-document fails with error message"
Comment 6 Petr Mladek 2013-02-25 10:55:29 UTC
Add 60945:  'File -> Save as' shows 'Open' dialog instead of "Save As" dialog => hard to safe files
Comment 7 Jean-Baptiste Faure 2013-02-27 19:43:20 UTC
I nominate bug 61459: several icons are lost, mainly in the Navigator, Styles and Formatting and Formula bar of Calc. Very visible regression.
Comment 8 Rainer Bielefeld Retired 2013-03-01 05:59:59 UTC
I add "Bug 61651 - MinGW: Tinderbox @7 does not deliver 4.1 Master builds" together with "Bug 61652 - Tinderbox @6 does not deliver 4.1 Master builds": Master regression survey completely broken for WIN
(Please excuse me for the MAB noise!)
Comment 9 Rainer Bielefeld Retired 2013-03-18 16:18:15 UTC
I add "Bug 62478 - CRASH when FILEOPEN databases"
Comment 10 Jorendc 2013-04-08 15:43:05 UTC
I nominate "Bug 62971 - 3d scene displays 90deg right turned" on this MAB list. Seems like a display bug only, because it is saved correctly.
Comment 11 Jorendc 2013-04-15 10:12:10 UTC
I nominate "Bug 63547 - Cannot scroll horizontally using trackpad" (Mac OSX bug only, as far we can see) because of the regression 4.0 vs 4.1 and the fact it makes scrolling horizontally using the trackpad useless. You can only scroll in one direction.
Comment 12 Rainer Bielefeld Retired 2013-04-18 10:51:03 UTC
I add "Bug 63680 - EDITING: CRASH when click on contents". More or less no editing possible with Writer
Comment 13 Jorendc 2013-04-24 18:19:32 UTC
I nominate "Bug 62088 - Impress crashes on setting master pages" because of the regression 4.0 vs 4.1.
Comment 14 Samuel Mehrbrodt (CIB) 2013-04-25 12:15:30 UTC
I add Bug 63840 because it makes LibreOffice unusable for Unity users.
Comment 15 Petr Mladek 2013-05-13 09:09:23 UTC
Add bug 62937: It seems to be impossible to create new database
Comment 16 Kohei Yoshida 2013-05-14 13:35:13 UTC
Adding Bug 64584. Asian vertical mode is completely dysfunctional. It was working in 4.0.
Comment 17 Jan Holesovsky 2013-05-14 14:30:44 UTC
Adding bug 64586 - cannot save any text to ppt.
Comment 18 Fernand 2013-05-17 09:14:31 UTC
add bug 57079 because this is there sinds 3.3 and becomse worser sinds 4.01 and makes the "contour" feature unusable and documents started in prevsiuos versions un-editable
Comment 19 Jean-Baptiste Faure 2013-05-20 10:44:22 UTC
Added 2 very visible bugs:
bug 64685 : superscript broken, gives subscript instead, even in auto-correction
bug 64751 : Header & footer blue tags empty (no visible text)
Comment 20 Jorendc 2013-05-25 09:55:17 UTC
I nominate "Bug 64957 - EDITING: letters move around during editing/typing" (Mac OSX) due the fact of the markable regression vs 4.0. For some users this was reproducible with older versions, especially with zoom level != 100%. Now it is always reproducible.
Comment 21 Thomas Hackert 2013-05-26 12:21:51 UTC
Hello @ll,
I would like to nominate #64984 as it is IMHO a regression to 4.0.3 ... :(
Comment 22 Jorendc 2013-05-26 13:08:10 UTC
I nominate "Bug 64995 - Area button in toolbar result in crash". Note: Windows-only so far.
Comment 23 Petr Mladek 2013-05-27 09:25:27 UTC
Add 65022:  crash when selecting "Format -> Paragraph/Page". It is basic operation.
Comment 24 Cor Nouws 2013-05-30 22:21:16 UTC
adding 58317 - UI Pivot Table - Choosing Results to <current sheetname> in More does not set the cell address field enabled
Comment 25 Jorendc 2013-05-31 12:02:30 UTC
I nominate "Bug 64925 - Crash on display/paste Arabic text"
Comment 26 Jean-Baptiste Faure 2013-06-01 20:26:45 UTC
I nominate bug 65050 : automatic non-breaking space before specific punctuation marks in French texts broken. Regression.
Comment 27 Petr Mladek 2013-06-03 08:34:46 UTC
Add bug 65132: Too big font when editing presentation. The text is even harder to read. It is high visible regression.
Comment 28 Petr Mladek 2013-06-03 15:54:44 UTC
Bug 65305 - python stuff broken in LO 4.1 on Windows. Wizards and mail merge does not work.
Comment 29 Lionel Elie Mamane 2013-06-05 04:47:26 UTC
bug 64447, regression wrt to 4.0, "new database wizard" does not do what it shows it will do.
Comment 30 Lionel Elie Mamane 2013-06-05 16:42:04 UTC
bug 65168: report wizard now creates legacy reports instead of reportbuilder reports. Existing long-standing (from OO.org era) feature is now unavailable.
Comment 31 Cor Nouws 2013-06-09 13:34:14 UTC
adding Bug 65241 - FORMATTING: Incorrect formatting text and colors of cells when opening in xlsx-files in Calc
Comment 32 Cor Nouws 2013-06-09 13:36:18 UTC
Add Bug 65569 - UI LibreOffice native file dialog does not offer selection list to choose from names that have the same start
Comment 33 bugfinderx 2013-06-09 16:16:02 UTC
Add Bug 53034 - Document properties: Editing-time adding up incomplete
Comment 34 Thomas Hackert 2013-06-12 11:40:19 UTC
Hello @ll,
I would like to add "Bug 65653 - EDITING: Base crashes with queries with keyword "LIKE" in GUI-Mode", as it is IMHO a showstopper ... :(
Sorry for the inconvenience
Thomas.
Comment 35 Jean-Baptiste Faure 2013-06-16 17:37:42 UTC
I nominate bug 65501 which make impossible to save a document if "always create a backup copy" option is checked.
Comment 36 Cor Nouws 2013-06-23 19:40:31 UTC
add bug 65338 - doesn't retain font settings: after save as and again opening of presentation, font is changed
Comment 37 Thomas Hackert 2013-06-26 08:07:04 UTC
Good morning :)
I would like the following bugs to nominate as MABs (if you think, they are not adequate, feel free to remove them, but it would be nice, if you could explain your decision ... ;) ):

1. Bug 66009 - Crash, when inserting URL (as Joel has written, it may be an user error, but as it is the default selection, I think it happens more often ... :( ).
2. Bug 66094 - Crash when scrolling to a file with auto-updated links in it
3. Bug 66071 - Crash, when Undo is used too often (not really a crash, what someone told me at first, but more something like "changed document, which will not ask for saving" thingie ... :( )
4. Bug 56392 - Writer: hyphenation is not always used in line break algorithm (as it is a regression to 4.0.4 and making hyphenation unusable with Germanophone version of LO 4.1.0.1 ... :( )
5. Bug 66158 - LO 4.1.0.1 doesn't save path to own certificates (because it is not possible to use own certiicates beside of Firefox ones ... :( ).

Sorry for the inconvenience
Thomas.
Comment 38 irs 2013-06-27 08:43:32 UTC
I would like to nominate bug 57631 which, in comment #7, Jose L. Domingo on 2013-03-13, has presented his investigations. It seems that this is the same as Bug 59898 and Bug 64598.

thanks, Ian.
Comment 39 Kevin Suo 2013-06-28 06:20:25 UTC
As described in Bug 58577, when save a writer file as docx, the text frame is lost (while it still shows up when open with MS OFFICE).

This blocks my work.
Comment 40 Thomas van der Meulen 2013-07-02 14:51:57 UTC
I add but 66508  "Coping a chart will make Calc crass.". I think this bug is serious because now charts/copying is useles, slows down work and loses data.
Comment 41 Pedro 2013-07-04 14:52:17 UTC
I nominate Bug 66420. It causes data loss and is a very common action (adding words to personal dictionary)
Comment 42 untraceable 2013-07-05 15:05:57 UTC
I'd like to nominate bug 52226:
losing images when working with docx without extra backup of the files can have pretty bad consequences.

(This bug exists since 3.5.3 but is still present in 4.1.0.1. I hope this is the right MAB.)
Comment 43 Michael Meeks 2013-07-05 15:23:53 UTC
Please don't add a known MAB to more than one version - otherwise it is impossible to see critical new bugs in 4.1. The image issue is a deeply annoying long-standing design issue that needs some funding for the several man weeks it takes to fix.
Comment 44 Samuel Mehrbrodt (CIB) 2013-07-06 14:18:15 UTC
I nominate Bug 45233 because you cannot edit pps/ppsx Presentations.
Comment 45 manj_k 2013-07-06 19:55:31 UTC
I nominate Bug 66478 – hyphenation is broken.
Comment 46 Lionel Elie Mamane 2013-07-09 12:27:07 UTC
bug 66703: previously in mab4.2, reproduced on 4.1.0.2 (rc2).
Comment 47 Noel Power 2013-07-09 12:35:26 UTC
bug 66718 - Clipboard API has lost functionality
seems this affects some extensions so moving to MAB
Comment 48 m.a.riosv 2013-07-09 16:42:43 UTC
https://bugs.freedesktop.org/show_bug.cgi?id=66655; Function GETPIVOTDATA() always return #REF!
Comment 49 Petr Mladek 2013-07-16 17:23:58 UTC
Add the bug #66924: unable to edit presentation master pages
Comment 50 Lionel Elie Mamane 2013-07-19 01:23:04 UTC
outdated install instructions: README in tarball
Comment 51 Jean-Baptiste Faure 2013-07-19 16:00:40 UTC
I nominate bug 67093 : Title and Heading styles are mixed for several UI languages (FR, PT, Afrikaans, ...)
Comment 52 Kevin Suo 2013-07-23 01:59:43 UTC
I added Bug 62729: Cell (range) name lost after FILESAVE after other sheet has been deleted. It courses data loss.
Comment 53 Thomas van der Meulen 2013-07-23 08:07:28 UTC
I added bug 67206 - No autocalculation of a cell referenced to a cell, if a column was inserted before -- stops productive work and calculation of cells doesn't work properly.
Comment 54 Mihkel Tõnnov 2013-07-23 18:04:59 UTC
Adding bug 61544 - Some fields don't fit into Options dialog

Several duplicates (so it must be annoying to several people), leaves parts of options dialog inaccessible.
Comment 55 Cor Nouws 2013-07-26 22:40:39 UTC
add 67246 - FILEOPEN General input/output error for particular xls file
Comment 56 rpr 2013-07-27 11:08:02 UTC
Adding bug 37606 - Edit > Select All doesn't work on a document beginning with a table.

It's more than 2 years old. Is it that hard to fix?
Comment 57 tommy27 2013-07-27 12:19:01 UTC
removed 37606 since it's reproducibile in 3.3.1, so mab4.1 is not its place.
Comment 58 Toni Ballesta 2013-07-28 09:24:50 UTC
Adding the bug 67361 - Segmentation fault for Base, on 4.1.0.4, Gentoo, Kernel 3.10.1. I listed the compilation options.
Comment 59 Björn Michaelsen 2013-07-28 18:59:50 UTC
suggesting bug 67099 as MAB, ~700% performance regression vs. 4.0.x in loading ods files
Comment 60 Cor Nouws 2013-07-30 20:45:39 UTC
Adding Bug 66864 - By using full screen applications and then restore them, the toolbar disappears in normal view
Comment 61 Cor Nouws 2013-07-30 21:32:52 UTC
Adding Bug 65686 - EDITING Data > Validity broken (for list entries at least)
Comment 62 Cor Nouws 2013-07-31 08:43:59 UTC
Adding Bug 67489 - EDITING: copied and pasted cells containing formulas are not recalculated
Comment 63 Cor Nouws 2013-08-02 20:05:48 UTC
adding Bug 67221 - [FILESAVE] Saving xls file which has cell with formula result #DIV/0! deleted formula, data loss

So it get's on the radar of the appropriate developer ;)
Comment 64 Lionel Elie Mamane 2013-08-02 20:57:41 UTC
Adding bug 67685: dataloss
Comment 65 Jorendc 2013-08-05 22:47:28 UTC
Hereby I nominate "Bug 67665 - ODG file forgets styles"
Comment 66 Joel Madero 2013-08-06 16:14:25 UTC
Added bug#66205 - a edit to a basic file results in loss of data. Bibisected & test file available
Comment 67 Joel Madero 2013-08-06 19:32:33 UTC
Nominated bug #67799 - complete loss of functionality for labels with 4.1 - regression
Comment 68 Cor Nouws 2013-08-09 14:56:51 UTC
Adding Bug 67815 - DATALOSS: Some cells with hyperlinks in XLS loose content on IMPORT
Comment 69 Peter Maunder 2013-08-14 14:32:15 UTC
I nominate the personas Bug 59230 which appears to effect .deb versions of 4.1. Although personas provides no "useful" function in LibO, it is a great emotional aid in personalising LibO and adding company branding. Although I can manually bypass the problem, this would not be in the skill level of the normal user.
Comment 70 m.a.riosv 2013-08-14 21:07:40 UTC
Added https://bugs.freedesktop.org/show_bug.cgi?id=68074

Formulas with error result disappear after reload, when file is saved as xls.
Comment 71 Eike Rathke 2013-08-14 22:35:07 UTC
Adding bug 67571, data loss of formulas with error result when saving to .xls
Comment 72 Maxim Monastirsky 2013-08-18 15:04:51 UTC
Adding Bug 68220 - EDITING: BUG: calc crashes on spell check
Comment 73 Mikeyy - L10n HR 2013-08-19 18:05:35 UTC
I would like to nominate bug 66506. This bug is half fixed, for XLS files, but it's still not fixed for ODS files.
It's an regression introduced in 4.1.

I'm adding it here to keep it on dev radar. If you don't think it should be here please delete it.
Comment 74 Chris 2013-08-22 18:50:34 UTC
I propose Bug 60589 - Cannot copy styles between different files and templates, I continuously have to close LO 4.1 and open LO 3.6 to transfer styles from documents to templates, especially for Calc.

Chris
Comment 75 Thomas van der Meulen 2013-08-23 09:27:16 UTC
"Writer incorrectly displays non-numbered list dot"  
Dot's are seen as unknown character since 4.1 beta 1
Comment 76 Thomas van der Meulen 2013-08-23 09:27:37 UTC
Beta 2 sorry
Comment 77 Thomas van der Meulen 2013-08-23 09:39:47 UTC
I added bug 68192 "Writer incorrectly displays non-numbered list dot"  
Dot's are seen as unknown character since 4.1 beta 2 

sorry for the spam
Comment 78 Cor Nouws 2013-08-23 10:38:25 UTC
Added regressions
  Bug 67534 - FILEOPEN SMB File is Locked By Unknown User message
and 
  Bug 67885 - FILESAVE: Files locked after saved on network drive

Note that it seems that bug 67534 also has slipped in 4.0.5 
  https://bugs.freedesktop.org/show_bug.cgi?id=67534#c6
Comment 79 Maxim Monastirsky 2013-09-01 18:00:45 UTC
I add Bug 68431 - FILESAVE: Style Font name incompatible with older versions. Users can't force other users to upgrade their installation, just to correctly open their presentation. (Seems like a partially fixed Bug 67665)
Comment 80 tommy27 2013-09-03 05:34:04 UTC
added Bug 68756
msvcr100.dll not found after upgrade from 4.1.0 to 4.1.1 on Windows.
already reported by 2 users.
Comment 81 tommy27 2013-09-03 11:54:37 UTC
sorry, I meant Bug 68756 not 68576. I'm editing correct numbers.
Comment 82 tommy27 2013-09-12 15:38:13 UTC
I add Bug 68771 "Crash on launch on OS X"
4.1.1 doesn't work with some Mac users forcing them to revert to 4.0.5
Comment 83 m.a.riosv 2013-09-16 22:46:03 UTC
Added Bug 60270

Crash when click Help bottom after select some functions in formula wizard.
I think the issue is with the new functions in 4 like AVERAGEIF( )
Comment 84 Eike Rathke 2013-09-17 17:24:47 UTC
(In reply to comment #83)
> Added Bug 60270

That was meant to be bug 69440 that was already present and got removed from the list instead again.. re-adding.
Comment 85 Joel Madero 2013-09-24 13:47:15 UTC
Added bug 68103 - seems like we have another help issue - draw is linking to impress help that isn't useful for draw making it pretty confusing for users trying to accomplish headers/footers on master documents in draw
Comment 86 a07cd040897db54e103c 2013-10-01 13:11:48 UTC
Added https://www.libreoffice.org/bugzilla/show_bug.cgi?id=68927

SVG-images used as page background are rendered as bitmap / rasterized in LO (4.1.1.2) itself and even in generated PDFs or printouts. This worked fine in v3.4.5.
Comment 87 pierre-yves samyn 2013-10-01 14:05:48 UTC
I nominate two related bugs: 

bug 68981 Add dataloss: "thisComponent.store" corrupts the macro library password
bug 68983 "Save As" a document containing a macro library protected by password corrupts the password of the macro library

They meet three criteria (Blocker Bug Definition): data loss, security bug, unusable function
Comment 88 ape 2013-10-04 14:28:03 UTC
(In reply to comment #86)
> Added https://www.libreoffice.org/bugzilla/show_bug.cgi?id=68927
> 
> SVG-images used as page background are rendered as bitmap / rasterized in LO
> (4.1.1.2) itself and even in generated PDFs or printouts. This worked fine
> in v3.4.5.

I think that is the Bug 62461
Comment 89 Cor Nouws 2013-10-05 22:51:07 UTC
adding Bug 69975 - SLIDESHOW: Customized slideshow broken; shows all slides
Comment 90 a07cd040897db54e103c 2013-10-07 07:59:35 UTC
(In reply to https://bugs.freedesktop.org/show_bug.cgi?id=60270#c88)

I think this is *not* the same bug as in https://bugs.freedesktop.org/show_bug.cgi?id=62461.

There is mentioned that the problem discussed in 62461 works fine in LO v3.6.5.

Tested this bug (68927) with LO v3.6.5.2 (http://downloadarchive.documentfoundation.org/libreoffice/old/3.6.5.2/win/x86/LibO_3.6.5.2_Win_x86_install_multi.msi) and the problem can also be reproduced (image is *still* rasterized). So two conclusions can be made:

1. this bug (68927) must have been reintroduced in a version > 3.4.5
and <= 3.6.5.2
2. the bugs 68927 and 62461 can *not* be the same
Comment 91 m.a.riosv 2013-10-08 21:41:35 UTC
Added https://bugs.freedesktop.org/show_bug.cgi?id=70275

When any text around in the cell format around @ format, this text is added to cell content when the file is reloaded.
Comment 92 Timur 2013-10-10 11:03:42 UTC
Added Bug 59918 - FILESAVE: FILEOPEN: save document as docx and reopen result in an freeze/endless loop. 
It's an old bug from LO 3.6, but since 4.0 is approaching to EOL, I add it here.
Comment 93 esafe11 2013-10-11 18:10:02 UTC
adding bug https://bugs.freedesktop.org/show_bug.cgi?id=69548
Comment 94 Kevin Suo 2013-10-16 02:30:46 UTC
Adding Bug 55018, FILESAVE and FILEOPEN: Joined cells in table cause table distortion after save to doc and docx and reopen in LO.

This is an old bug, first reported in Sep 2012, and still reproducable in 4.1.2.3. In my opinion, table distortion = data loss.
Comment 95 Cor Nouws 2013-10-20 19:47:06 UTC
adding Bug 70198 - Other: field command "time (fixed)" does not work when used in a writer template file (regressions since 4.1.0.0rc1 IIRC)
Comment 96 Mirosław Zalewski 2013-10-24 12:30:23 UTC
Hi

I am proposing #67370: automatic hyphenation is not visible in text files exported as tagged PDF. Since PDF/A-1 format forces tagging, PDF/A-1 are affected as well. And PDF/A-1 were supposed to be readable and accessible in long-term future. This will be huge issue for government, business and NGO users when they switch to 4.1.

See comment #10 there for bibisect log.

Windows seems to be not affected by this issue. Mac OS X builds have not been tested.

Best regards
Mirosław Zalewski
Comment 97 Cor Nouws 2013-10-24 19:22:38 UTC
Hi,

Let me be 'brave' and add:

  Bug 70809 - [EDITING] Selecting with mouse: too fast changing to next/previous page
  Bug 70842 - EDITING: Large document with many pictures causes freezing in Writer when scrolling with scroll bar
Comment 98 Cor Nouws 2013-10-24 20:41:20 UTC
(In reply to comment #97)

> Let me be 'brave' and add:

Of course, the real brave people will be the dev(s) that, seeing the progress of improvements and cleaning up, will dive into these smelly issues :)
Comment 99 Cor Nouws 2013-10-25 16:26:48 UTC
Adding Bug 70815 - EDITING: cell is not updated when referenced cell becomes empty due to sort
Fixed in master, but worth to fix in 4.1. too?
Comment 100 J. Kanowitz 2013-10-26 00:49:16 UTC
Adding https://bugs.freedesktop.org/show_bug.cgi?id=35217#c8 re: structured outline limitations... and that anchor does point to my comment cherry-picking a relatively solve-able corner case.  In legal documents, the ability to comply with court rules is important.

https://bugs.freedesktop.org/show_bug.cgi?id=51168 because doing editing only to discover some list formatting is unexpectedly unchangeable is even more frustrating; I bet the author of Bug 70871 feels the same way about their related problem.
Comment 101 Lionel Elie Mamane 2013-10-27 13:47:00 UTC
Adding bug 70703: reproducible crash (SEGFAULT) under not-yet-determined conditions when switching focus from one window to the other (LibreOffice Base forms).
Comment 102 esafe11 2013-10-27 21:48:13 UTC
please add bug https://bugs.freedesktop.org/show_bug.cgi?id=70933 docx not saving page color
Comment 103 Joel Madero 2013-10-29 14:19:41 UTC
Nominated bug 66988

Regression which makes LibreOffice lose the ability to print some borders. Also seems to affect performance. Simple test document available and bibisect is completed
Comment 104 Joel Madero 2013-11-04 15:41:43 UTC
Added bug#67011

Seems like drag & drop is freezing up KDE4, also it looks like a regression

This bug seems to be affecting quite a few users from the amount of comments/dupes.
Comment 105 John Kuang 2013-11-06 02:16:42 UTC
I would like to nominate Bug 68249, a regression in which pasting charts with "data series in rows" from Calc into Writer/Impress results in badly mangled charts. This makes LO 4.1 difficult to use for presenting results. Bug is not present in LO 4.0.
Comment 106 Kevin Suo 2013-11-06 02:31:44 UTC
(In reply to comment #105)
> I would like to nominate Bug 68249, a regression in which pasting charts
> with "data series in rows" from Calc into Writer/Impress results in badly
> mangled charts. This makes LO 4.1 difficult to use for presenting results.
> Bug is not present in LO 4.0.

Bug 68249 should be a duplicated of bug 71075, see my comments there, so 68249 should not be on this list.

Bug 71075 is already on MAB4.1 list.
Comment 107 Michael Meeks 2013-11-06 10:15:55 UTC
Hi John & suokunlong - thanks for the nominations, John you're right that was a very annoying bug :-)
Comment 108 tommy27 2013-11-07 06:45:28 UTC
I add Bug 67401  "Help -> About LibreOffice" Logo not smooth

this issue doesn't affect productivity and is just a matter of aesthetics... however I feel that this ugly about logo could be used against the LibO project to discredit the quality of the project.

I mean, somebody could argue that "LibO comes out with a scrambled about box, would you dare editing your documents with such a buggy software?"
Comment 109 Jean-Baptiste Faure 2013-11-07 10:25:48 UTC
I nominate bug 68876 which is a regression freezing LibreOffice in some case.
Comment 110 Timur 2013-11-12 09:24:35 UTC
I add Bug 62653 - EDITING: Crash on nested table delete (previously titled "Copy Paste Crash"). While the specific situation may not be too common, I experience some crashes with recent LoDev 4.1 that I can't trace, so at least solving this one would rule this out.
Comment 111 Cor Nouws 2013-11-12 21:40:27 UTC
adding bug 68600 -  properties dialog expands to screen size if long comment is entered
Comment 112 ape 2013-11-13 09:08:48 UTC
Bug 62461 added because the API does not use a PNG image that is embedded in the ODF file in addition to SVG drawing.
Comment 113 Kevin Suo 2013-11-18 03:37:38 UTC
Adding bug 67300, LO shows 2D pie chart as 3D (and shows 3D as 2D) in xls and xlsx.
Comment 114 Justin L 2013-11-18 17:58:53 UTC
adding Bug 71248 - when multiple spreadsheets containing VBA macros are opened simultaneously, the last opened document is always considered the "Active" Document/Worksheet/Cell, even if a previous spreadsheet has the focus.  Additionally, if the "last opened" document is closed, references to something in the "Active" context fail completely.
Comment 115 Joel Madero 2013-11-19 14:15:32 UTC
Nominated bug 71749 - writer hangs if you open a doc with a table in the footer. This is a recent regression (4.1), the bug has been bibisected.


Thanks all
Comment 116 stragu 2013-11-20 06:27:28 UTC
Nominating Bug "70499 - FILEOPEN Cannot select unprotected cells in XSLX sheet with worksheet protection" as it is an issue with anyone needing to fill in partially protected xlsx forms, which potentially affects an array of different cases.
Comment 117 Andras Timar 2013-11-24 22:08:16 UTC
Bug 66988 was a dupe of bug 68148.
Comment 118 Jean-Baptiste Faure 2013-12-04 15:11:12 UTC
I nominate bug 71667 which is a regression from 4.1.3. It make the functions wizard in Calc less interesting to use. (ATM the bug is marked for version 4.2 but it is reproducible in 4.1.5.0.0+ and I guess in 4.1.4.1 but this version number is not available in BZ).

Best regards. JBF
Comment 119 Eike Rathke 2013-12-04 21:57:32 UTC
Adding bug 72278 that has the same cause as bug 71667. Present in 4.1.4.1
Comment 120 ralf.krapf 2013-12-05 09:33:30 UTC
Add bug #72072: Text disappear when editing a 90deg Textbox.
This feature worked without problems in LO 4.0.x. So it may prevent users to update to the most actual version.
Comment 121 Andreas Mantke 2013-12-11 19:28:25 UTC
Bug 72604 - Fax-Wizard - Personal Data are only partial adopted

The wizards are available to start a new fax (etc.) document from scratch. If the personal data are not adopted in the created fax document (and are not in the correct order) the wizard is not useful. This is also a very visible issue, because normal office users will create documents using a wizard.
Comment 122 Jorendc 2013-12-11 20:22:13 UTC
I nominate "Bug 72614 - Impress hangs on creating new style"
Comment 123 koukasio 2013-12-15 00:57:06 UTC
I consider bug 59288 as highly critical. It practically means no conditional formatting until fixed. I found many duplicates, conditional formatting seems really messy in many ways. Evil thinkers consider it "a good example for what goes wrong in LibreOffice development" .
https://forum.openoffice.org/en/forum/viewtopic.php?f=9&t=62758#p278051
This bug must be fixed.
Comment 124 Cor Nouws 2013-12-15 20:56:00 UTC
add Bug 69495 - FORMATTING: Toggling off bold/italic does not turn it off, but instead applies no-bold/no-italic. This messes up any style afterwards that has bold/italic in it (until Clear Direct Formatting is used) ..
Comment 125 Lionel Elie Mamane 2013-12-16 05:39:48 UTC
Adding bug 72504: one Unix, one cannot anymore open / modify embedded databases on a non-local filesystems.
Comment 126 Ceri Mitchell 2013-12-16 10:12:00 UTC
I nominate bug 72645

Function GETPIVOTDATA does not work as it did upto 4.0.6
Comment 127 Ceri Mitchell 2013-12-16 10:13:26 UTC
I nominate Bug 72645

GETPIVOTDATA does not work as it did up to 4.0.6
Comment 128 Mihkel Tõnnov 2014-01-10 14:34:36 UTC
Nominating:

Bug 67104 - Default value of "Show cell grid lines" checkbox on sidebar. Highly visible new feature semi-broken, several duplicates, seems annoying enough.

Bug 68806 - SIDEBAR: Wrong Paragraph spacing values after opening Properties deck. Again, new and visible feature half-broken, making the sidebar pretty annoying to use for me.
Comment 129 ape 2014-01-13 14:31:32 UTC
Add Bug 73095 - Writer's UI crashes when scrolling pages if formatting marks are visible: the work of Writer is broken in Windows XP within a single release (between 4.1.4.2 and 4.1.5.0.0+).
Comment 130 Joel Madero 2014-01-14 17:29:27 UTC
Added bug 73616 - very simple test document is locking LibreOffice on multiple platforms. Bibisected and confirmed it's a regression that came in somewhere in the early days of 4.0
Comment 131 Björn Michaelsen 2014-01-17 09:51:19 UTC
Removing developer list for bulk change.
Comment 132 Björn Michaelsen 2014-01-17 09:52:57 UTC
readding after bulk change.
Comment 133 sophie 2014-01-22 09:33:22 UTC
Add bug 73805 Crash when writing into a section with columns, with highest priority - Sophie
Comment 134 Laurent BP 2014-01-26 08:02:13 UTC
Add bug 69244
Calc required Cltr+Shift+F9 in some conditions => some formula are recalculated, but not all, and user doesn't know it
Comment 135 Gerco-Kees 2014-02-03 20:09:11 UTC
Bug - 67712; FORMCONTROLS: anchored to cell but changes position after reopening
There is regression and Data Loss
Comment 136 Jean-Baptiste Faure 2014-02-04 09:49:47 UTC
I nominate bug 74493 : regression and dataloss
Comment 137 Cor Nouws 2014-02-05 15:43:54 UTC
adding Bug 72284 - FILESAVE: Crashes when trying to save a particular docx file
(2013-12-03 ..)
Comment 138 stragu 2014-02-12 07:23:50 UTC
Added Bug 52226 - "FILESAVE Images in .docx and .xlsx files show "Read-Error", probably corrupted by auto-save"

Moved from MAB 4.0 since 4.0 reached EOL.

Pretty big show-stopper as it seriously impedes collaborating with colleagues who decide to work with a docx file.

Has been a MAB since 3.6.
Comment 139 sophie 2014-02-13 13:35:34 UTC
Added bug 74557 file corruption on saving as xls - Sophie
Comment 140 stragu 2014-02-13 23:24:55 UTC
Continuing the cleaning of mab4.0. Only bugs not yet reported reproducible in 4.1 or 4.2 should remain.
Comment 141 Samuel Mehrbrodt (CIB) 2014-02-15 12:20:15 UTC
Nominating Bug 56394
It's almost impossible to open that specifix XLSX file.
Comment 142 Thomas Thym 2014-02-21 17:14:47 UTC
Bug 61840 - FORMATTING: Formating numbers in Data Pilot table does not work anymore (regression)

Nominating this bug, because it is a regression (to 4.0.0.x and still here in 4.2.0.4) and because it is really annoying to do the formating for each and every data pilot table / pivot table once and once again after the data is refreshed.
Comment 143 Kohei Yoshida 2014-02-21 17:19:01 UTC
(In reply to comment #142)
> Bug 61840 - FORMATTING: Formating numbers in Data Pilot table does not work
> anymore (regression)
> 
> Nominating this bug, because it is a regression (to 4.0.0.x and still here
> in 4.2.0.4) and because it is really annoying to do the formating for each
> and every data pilot table / pivot table once and once again after the data
> is refreshed.

FWIW, this never worked, so not a regression. If it ever appeared to have worked before, it was a fluke.
Comment 144 sophie 2014-02-24 17:58:03 UTC
added bug 71478, comments lost on the page that is copied to another one. Sophie
Comment 145 Joel Madero 2014-02-26 01:59:11 UTC
Nominated bug 37223 - Impossible to copy just values from spreadsheet into a table in Writer - inherited by OOo but quite annoying.

a couple dupes and a few users involved. Plus I guess it was reported during OOo days and had 100+ "votes" on their infra.
Comment 146 Joel Madero 2014-03-02 17:03:16 UTC
Nomintated bug 75648 - results of simple formulas are being quasi lost with xlsx but if you just edit the formula by removing the last character ')' and then put the character back the formula works as expected.
Comment 147 Vossman 2014-03-03 17:04:25 UTC
Bug 71278 - UI mouse pointer disappears during presentation and does not come back after exiting presentation


Nominating this bug, because it is a regression (to 4.0 series and still in 4.2) and because it is really annoying, I have to restart LibreOffice in order to use my mouse again.
Comment 148 stragu 2014-03-04 01:47:33 UTC
Nominating Bug 51819 - Password-protected documents saved unencrypted for auto-recovery

Bug is serious security issue. Regression apparently appeared in 3.4.2.1 and is assumed to be still present in the 4.2 branch.
Comment 149 Jorendc 2014-03-06 22:12:54 UTC
Hereby I nominate "Bug 64490 - LibreOffice Writer text highligthing is not compatible with Microsoft Word DOC and DOCX (highlighting transforms to background color)"
Comment 150 Romano Giannetti 2014-03-06 22:50:11 UTC
(In reply to comment #149)
> Hereby I nominate "Bug 64490 - LibreOffice Writer text highligthing is not
> compatible with Microsoft Word DOC and DOCX (highlighting transforms to
> background color)"

Seconded. It's the most important problem in exchanging document with my collegues at work.
Comment 151 Ralf 2014-03-23 19:41:21 UTC
I nominate "Bug 63087 - Detective "Trace Precedents" or "Trace Dependents" pointing to a different tab does not provide reference cells".

Though the bug or rather missing feature is old I consider it to be very important. I find it impracticable to understand complex spreadsheets without a "detective", which works across worksheets. Therefore, I consider MS Excel to be necessary for understanding a complex spreadsheet, even if one works primarily with LibreOffice Calc.
Comment 152 Joel Madero 2014-03-23 19:59:46 UTC
Removed bug 63087 - was an enhancement request that does not belong on the list.
Comment 153 Jorendc 2014-03-25 08:15:26 UTC
(In reply to comment #152)
> Removed bug 63087 - was an enhancement request that does not belong on the
> list.

done :)
Comment 154 m.a.riosv 2014-05-01 19:17:54 UTC
Added https://bugs.freedesktop.org/show_bug.cgi?id=78154

Sample ods file crash at opening.
Comment 155 tommy27 2014-05-02 06:24:23 UTC
please do not add new bugs here. the 4.1.x branch won't probably have other release after 4.1.6. 

new annoying bugs should be posted to the mab4.2 or mab4.3 lists.

existing mab4.1 which are still reproducible in 4.2.x branch can be moved to the mab4.2 list.
Comment 156 tommy27 2014-06-05 05:18:10 UTC
Ok. all existing mab4.1 have been moved to the mab4.2 list.
marking this as CLOSED FIXED
Comment 157 Amit 2014-08-25 10:55:24 UTC
using spareadsheet, when i try to add new line in Cell ... means writing more than one line in a cell, save changes, close the file and re-open it, cell content appears all in single line. new line character is lost. i'm saving my file as .xlsx file. (MS Excel 2007/20010 etc. ) format.
Comment 158 Michael Stahl (CIB) 2014-08-25 11:02:17 UTC
closing MAB again

please DO NOT reopen this bug
Comment 159 tommy27 2015-10-18 02:42:50 UTC
Hi all,

The MAB docs on the wiki have been updated to reflect the new
Priority-based system for categorizing bugs:
https://wiki.documentfoundation.org/QA/Most_Annoying_Bugs

The old MAB tracker bugs (mab4.3, mab4.4, etc.) will remain in
Bugzilla for historical reference, but should be ignored for current
work. 

......................

FINAL mab4.1 STATS
......................

fixed bugs -> 137
open bugs  -> 0

......................
Comment 160 tommy27 2015-10-18 02:44:03 UTC Comment hidden (obsolete)